### Method

# Gio SocketClient get_family

since: 2.22

#### Declaration [src]

    GSocketFamily
    g_socket_client_get_family (
      GSocketClient* client
    )

#### Description [src]

Gets the socket family of the socket client.

See `g_socket_client_set_family()` for details.

Available since: 2.22

Gets property | `Gio.SocketClient:family`

#### Return value

Type: `GSocketFamily`

A `GSocketFamily`.